Name:          util-linux-automotive
Version:       0.1
Release:       2%{?dist}
Summary:       A random collection of Linux utilities for automotive
License:       GPL-2.0-only
URL:           https://gitlab.com/CentOS/automotive/rpms/util-linux-automotive
Source0:       mount-sysroot.c

BuildRequires: gcc
BuildRequires: libblkid-devel
Requires: libblkid

%global debug_package %{nil}

%description
%{summary}.

%prep

%build
RPM_OPT_FLAGS="${RPM_OPT_FLAGS/-flto=auto /}"
gcc ${RPM_OPT_FLAGS} -lblkid %{SOURCE0} -o mount-sysroot

%install
install -D -m755 mount-sysroot ${RPM_BUILD_ROOT}/%{_bindir}/mount-sysroot

%files
%attr(0755,root,root)
%{_bindir}/mount-sysroot

%changelog
* Wed May 22 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-2
- Better debug
* Wed May 22 2024 Eric Curtin <ecurtin@redhat.com> - 0.1-1
- Initial version

